%global bundle org.osgi.service.obr

Name:           felix-osgi-obr
Version:        1.0.2
Release:        %mkrel 17
Group:          Development/Java
Summary:        Felix OSGi OBR Service API

License:        ASL 2.0
URL:            http://felix.apache.org/site/apache-felix-osgi-bundle-repository.html
Source0:        http://www.apache.org/dist/felix/org.osgi.service.obr-%{version}-project.tar.gz
BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.felix:felix:pom:)
BuildRequires:  mvn(org.apache.felix:org.osgi.core)
BuildRequires:  mvn(org.easymock:easymock)
BuildRequires:  mvn(org.mockito:mockito-all)


%description
OSGi OBR Service API.

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
API documentation for %{name}.

%prep
%setup -q -n %{bundle}-%{version}

%mvn_file ":{*}" felix/@1

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/felix
%doc LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE



%changelog
* Wed Mar 02 2016 neoclust <neoclust> 1.0.2-17.mga6
+ Revision: 982361
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 1.0.2-16.mga6
+ Revision: 976235
- First rebuild of the java stack
- sync package felix-osgi-obr with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Thu Dec 25 2014 pterjan <pterjan> 1.0.2-11.mga5
+ Revision: 805658
- Clean rebuild
- Update BuildRequires
- Restore

  + sander85 <sander85>
    - Depends on broken java stack

* Wed Oct 15 2014 umeabot <umeabot> 1.0.2-9.mga5
+ Revision: 746876
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Thu Dec 19 2013 dmorgan <dmorgan> 1.0.2-7.mga4
+ Revision: 558760
- Build with xmvn

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.0.2-5.mga3
+ Revision: 350167
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 dmorgan <dmorgan> 1.0.2-4.mga3
+ Revision: 323991
- Build with java7

* Wed Apr 27 2011 dmorgan <dmorgan> 1.0.2-4.mga1
+ Revision: 91966
- Remove buildroot

* Tue Feb 01 2011 dmorgan <dmorgan> 1.0.2-3.mga1
+ Revision: 45841
- Adapt for mageia
- imported package felix-osgi-obr


* Mon Dec 13 2010 Alexander Kurtakov <akurtako@redhat.com> 1.0.2-3
- Fix pom name.
- Adapt to current guidelines.

* Thu Sep 3 2009 Alexander Kurtakov <akurtako@redhat.com> 1.0.2-2
- Fix line length.

* Thu Sep 3 2009 Alexander Kurtakov <akurtako@redhat.com> 1.0.2-1
- Initial package.
